Lines Matching refs:fail
25 shuf in >out || fail=1
30 compare in out > /dev/null && { fail=1; echo "not random?" 1>&2; }
34 compare in out1 || { fail=1; echo "not a permutation" 1>&2; }
37 shuf -i 1-100 > out || fail=1
38 compare in out > /dev/null && { fail=1; echo "not random?" 1>&2; }
40 compare in out1 || { fail=1; echo "not a permutation" 1>&2; }
43 shuf -r -n 0 in <&- >out || fail=1
44 compare /dev/null out || fail=1
48 test "$t" = 'a b c d e' || { fail=1; echo "not a permutation" 1>&2; }
52 test $? -eq 1 || fail=1
57 test $? -eq 1 || fail=1
61 seq 1860 | shuf > /dev/null || fail=1
64 shuf --zero-terminated -i 1-1 > out || fail=1
66 cmp out exp || { fail=1; echo "missing NUL terminator?" 1>&2; }
71 { fail=1; echo "couldn't get a small subset" >&2; }
77 shuf -n0 unreadable || fail=1
78 { shuf -n1 unreadable || test $? -ne 1; } && fail=1
84 test "$c" -eq 3 || { fail=1; echo "Multiple -n failed">&2 ; }
90 { fail=1; echo "shuf did not detect erroneous -e and -i usage.">&2 ; }
93 { fail=1; echo "shuf did not detect erroneous -n usage.">&2 ; }
96 { fail=1; echo "shuf did not detect multiple -i usage.">&2 ; }
100 { fail=1; echo "shuf did not detect erroneous -i$ARG usage.">&2 ; }
105 { fail=1; echo "shuf did not detect erroneous multiple -o usage.">&2 ; }
108 { fail=1; echo "shuf did not detect multiple --random-source usage.">&2 ; }
116 || { fail=1; echo "--repeat does not repeat indefinitely">&2 ; }
121 test "$c" -eq 1000 || { fail=1; echo "--repeat with --count failed">&2 ; }
128 { fail=1; echo "--repeat produced bad output">&2 ; }
134 { fail=1; echo "--repeat produced bad output with non-zero low">&2 ; }
140 { fail=1; echo "--repeat,-i0-9,-n0 produced bad output">&2 ; }
146 { fail=1; echo "--repeat,-e does not repeat indefinitely">&2 ; }
152 { fail=1; echo "--repeat,STDIN does not repeat indefinitely">&2 ; }
158 { fail=1; echo "--repeat,STDIN,count failed">&2 ; }
165 { fail=1; echo "--repeat,STDIN,count produced bad output">&2 ; }
171 { fail=1; echo "--repeat,STDIN,-n0 produced bad output">&2 ; }
175 shuf /dev/null <&- >out || fail=1
176 compare /dev/null out || fail=1
178 Exit $fail